<?php
/**
 * Plugin Name:       Pie Cal Block
 * Plugin URI:        https://example.com/plugins/the-basics/
 * Description:       Describe what the plugin does.
 * Version: 1.0.13
 * Requires at least: 5.5
 * Requires PHP:      5.3
 * Author:            John Smith
 * Author URI:        https://author.example.com/
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Update URI:        https://example.com/my-plugin/
 * Text Domain:       pie_cal_block
 * Domain Path:       /languages
*/

 

if ( ! function_exists( 'pie_cal_block_plugin_base_url' ) ) :
 
function pie_cal_block_plugin_base_url() {
    global $pie_cal_block_plugin_base_url_value;
    if(empty($pie_cal_block_plugin_base_url_value)) {
        $pie_cal_block_plugin_base_url_value = untrailingslashit( plugin_dir_url( __FILE__ ) );
    }
    return $pie_cal_block_plugin_base_url_value;
}

endif;

if ( ! function_exists( 'pie_cal_block_plugin_base_path' ) ) :
 
function pie_cal_block_plugin_base_path() {
    global $pie_cal_block_plugin_base_path_value;
    if(empty($pie_cal_block_plugin_base_path_value)) {
        $pie_cal_block_plugin_base_path_value = untrailingslashit( plugin_dir_path(  __FILE__ ) );
    }
    return $pie_cal_block_plugin_base_path_value;
}

endif;
 
if ( ! function_exists( 'pie_cal_block_setup' ) ) :

function pie_cal_block_setup() {

    pie_cal_block_plugin_base_url();
    /*
     * Make the plugin available for translation.
     * Translations can be filed in the /languages/ directory.
     */
    /* Pinegrow generated Load Text Domain Begin */
    load_plugin_textdomain( 'pie_cal_block', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
    /* Pinegrow generated Load Text Domain End */

    /*
     * Register custom menu locations
     */
    /* Pinegrow generated Register Menus Begin */

    /* Pinegrow generated Register Menus End */
    
    /*
    * Set image sizes
     */
    /* Pinegrow generated Image sizes Begin */

    /* Pinegrow generated Image sizes End */
    
}
endif; // pie_cal_block_setup

add_action( 'after_setup_theme', 'pie_cal_block_setup' );


if ( ! function_exists( 'pie_cal_block_init' ) ) :

function pie_cal_block_init() {

    /*
     * Register custom post types. You can also move this code to a plugin.
     */
    /* Pinegrow generated Custom Post Types Begin */

    /* Pinegrow generated Custom Post Types End */
    
    /*
     * Register custom taxonomies. You can also move this code to a plugin.
     */
    /* Pinegrow generated Taxonomies Begin */

    /* Pinegrow generated Taxonomies End */

}
endif; // pie_cal_block_setup

add_action( 'init', 'pie_cal_block_init' );


if ( ! function_exists( 'pie_cal_block_custom_image_sizes_names' ) ) :

function pie_cal_block_custom_image_sizes_names( $sizes ) {

    /*
     * Add names of custom image sizes.
     */
    /* Pinegrow generated Image Sizes Names Begin*/
    /* This code will be replaced by returning names of custom image sizes. */
    /* Pinegrow generated Image Sizes Names End */
    return $sizes;
}
add_action( 'image_size_names_choose', 'pie_cal_block_custom_image_sizes_names' );
endif;// pie_cal_block_custom_image_sizes_names


if ( ! function_exists( 'pie_cal_block_widgets_init' ) ) :

function pie_cal_block_widgets_init() {

    /*
     * Register widget areas.
     */
    /* Pinegrow generated Register Sidebars Begin */

    /* Pinegrow generated Register Sidebars End */
}
add_action( 'widgets_init', 'pie_cal_block_widgets_init' );
endif;// pie_cal_block_widgets_init



if ( ! function_exists( 'pie_cal_block_customize_register' ) ) :

function pie_cal_block_customize_register( $wp_customize ) {
    // Do stuff with $wp_customize, the WP_Customize_Manager object.

    /* Pinegrow generated Customizer Controls Begin */

    /* Pinegrow generated Customizer Controls End */

}
add_action( 'customize_register', 'pie_cal_block_customize_register' );
endif;// pie_cal_block_customize_register


if ( ! function_exists( 'pie_cal_block_enqueue_scripts' ) ) :
    function pie_cal_block_enqueue_scripts() {

        /* Pinegrow generated Enqueue Scripts Begin */

    /* Pinegrow generated Enqueue Scripts End */

        /* Pinegrow generated Enqueue Styles Begin */

    /* Pinegrow generated Enqueue Styles End */

    }
    add_action( 'wp_enqueue_scripts', 'pie_cal_block_enqueue_scripts' );
endif;

if ( ! function_exists( 'pie_cal_block_pgwp_sanitize_placeholder' ) ) :
    function pie_cal_block_pgwp_sanitize_placeholder($input) { return $input; }
endif;

    /*
     * Resource files included by Pinegrow.
     */
    /* Pinegrow generated Include Resources Begin */
require_once "inc/custom.php";
if( !class_exists( 'PG_Helper_v2' ) ) { require_once "inc/wp_pg_helpers.php"; }
if( !class_exists( 'PG_Blocks' ) ) { require_once "inc/wp_pg_blocks_helpers.php"; }

    /* Pinegrow generated Include Resources End */

/* Creating Editor Blocks with Pinegrow */

if ( ! function_exists('pie_cal_block_blocks_init') ) :
function pie_cal_block_blocks_init() {
    // Register blocks. Don't edit anything between the following comments.
    /* Pinegrow generated Register Pinegrow Blocks Begin */
    require_once 'blocks/piecal/piecal_register.php';

    /* Pinegrow generated Register Pinegrow Blocks End */
}
add_action('init', 'pie_cal_block_blocks_init');
endif;

/* End of creating Editor Blocks with Pinegrow */

?>